Package com.google.android.exoplayer2

## Interface ExoPlayer.TextComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    ExoPlayer

      public static interface ExoPlayer.TextComponent

  The text component of an `ExoPlayer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTextOutput​(TextOutput listener)` | Deprecated. Use `Player.addListener(Listener)`.
    `List<Cue>` | `getCurrentCues()` | Returns the current `Cues`.
    `void` | `removeTextOutput​(TextOutput listener)` | Deprecated. Use `Player.removeListener(Listener)`.

- - ### Method Detail

    - #### addTextOutput

          @Deprecated
          void addTextOutput​(TextOutput listener)

      Deprecated.
      Use `Player.addListener(Listener)`.
      Registers an output to receive text events.
      Parameters:
        `listener` - The output to register.

    - #### removeTextOutput

          @Deprecated
          void removeTextOutput​(TextOutput listener)

      Deprecated.
      Use `Player.removeListener(Listener)`.
      Removes a text output.
      Parameters:
        `listener` - The output to remove.

    - #### getCurrentCues

          List<Cue> getCurrentCues()

      Returns the current `Cues`. This list may be empty.